using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page 
{
    protected void CustValid(ref object s, ref ServerValidateEventArgs e)
    {
        string strValue;
        strValue = e.Value;
        if (strValue == "www.olomrayaneh.net")
            (e.IsValid) = true;

        else
            (e.IsValid) = false;
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void CustomValidator1_ServerValidate(object source, ServerValidateEventArgs args)
    {
        CustValid(ref source, ref args);
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        TextBox1.Text = "Form will not validate";
    }
}
